package com.huatek.busi.common;

import lombok.Getter;

public enum ParamEnum {
    OPERATE_DATA("yunxingshuju", "运行数据"),
    OPERATE_DATA_DQSY("yxsj_dqsy", "运行数据-电气试验"),
    INSULATION_MEDIUM("jueyuanjiezhi", "绝缘介质"),
    DISCONNECTION_WEAR("duankaimosun", "断开磨损"),
    OPERATE_PARAMETER("yunxingcanshu", "运行参数"),
    MICRO_WATER_CONTENT_ARC_EXTINGUISH_CHAMBER("jyjz_qswshl", "微水含量-灭弧室"),
    CONDUCTIVE_LOOP_RESISTANCE("yxsj_daodianhuiludianzu", "导电回路电阻"),
    TIME_PARAMETER("yxsj_shijiacanshu", "时间参数"),

    SPEED_PARAMETER_OTHER_ASPECTS("yxsj_sdtz_qitafangmian", "速度参数-其他方面"),
    DIFFERENT_CLOSE_PERIODS("yxsj_sjcs_hezhabutongqi", "合闸不同期"),
    DIFFERENT_OPEN_PERIODS("yxsj_sjcs_fenzhabutongqi", "分闸不同期"),
    VELOCITY_CHARACTERISTICS("yxsj_sudutezheng", "速度特征"),

    GIS_YXSJ_SJCS("gis_yxsj_sjcs", "sjcs"),
    RIGID_PARTIAL_VELOCITY("yxsj_sdtz_gangfensudu", "刚分速度"),
    STIFFNESS_AND_SPEED("yxsj_sdtz_ganghesudu", "刚和速度"),
    GAS_LEAKAGE("jyjz_qitiyali", "气体泄露（压力）"),
    Micro_water_content("jyjz_weishui", "微水含量"),
    LOCAL_DISCHARGE("jf", "局放量"),
    PARTIAL_DISCHARGE_TIMES("jyjz_jufnum", "局放次数"),
    GAS_LEAKAGE_ARC_EXTINGUISH_CHAMBER("jyjz_qitixieya_qtyl", "气体泄露（压力）-灭弧室"),
    PARTIAL_RELEASE("jf", "局放"),
    CUMULATIVE_BREAKING_ACTION_TIME("dkms_leijidongzuocishu", "累计开断(动作)次数"),
    SERVICE_LIFE("dkms_shiyongnianxian", "使用年限"),
    RELATIVE_ELECTRICAL_WEAR("dkms_xiangduidianmosun", "相对电磨损程度"),
    GIS_KDMS("gis_kdms", "kdms"),
    WORK_ENVIRONMENT("yxcs_gongzuohuanjing", "工作环境"),
    APPEARANCE("yxcs_waiguang", "外观情况"),
    MANUFACTURER("yxcs_changjia", "生产厂家"),
    CIRCUIT_BREAKER_MAINTENANCE("yxcs_dlqwh", "断路器维护"),
    OPERATING_AMBIENT_TEMPERATURE("yxcs_gzhj_wendu", "使用环境温度"),
    OPERATING_AMBIENT_HUMIDITY("yxcs_gzhj_shidu", "使用环境湿度"),
    ALTITUDE("yxcs_gzhj_qitayinsu", "气压、日照、雨量"),
    DUST_CORROSION("yxcs_gzhj_chenai", "尘埃腐蚀"),
    OPERATE_MECHANISM_LUBRICATION("yxcs_wg_ruihua", "操作机构润滑(完好1，有缺陷0)"),
    MAIN_APPEARANCE_MECHANISM("yxcs_wg_benti", "主体、机构外观(完好1，有缺陷0)"),
    SUPPORT_INSULATION_PART("yxcs_wg_jueyuan", "支持绝缘部分(完好1，有缺陷0)"),
    MAIN_CIRCUIT_TERMINAL("yxcs_wg_zhuhuilu", "主回路端子(完好1，有缺陷0)"),
    SIMILAR_CIRCUIT_BREAKERS_MAINTENANCE_TIMES("yxcs_tldlqwhcs", "同类断路器维护次数"),
    GIS_WGQK("gis_yxcs_wgqk", "外观情况"),
    MANUFACTURER_EQUIPMENT_GENETICS("yxcs_cjsbyc", "厂家设备遗传"),
    PRODUCT_MATURITY("yxcs_cj_chengshudu", "产品成熟度"),
    POPULARITY("yxcs_cj_renzhidu", "知名度"),
    GIS_SCCJ("gis_yxcs_sccj", "sccj"),
    GIS_YXCS("gis_yxcs", "yxcs"),
    GIS_YXSJ_SDTX("gis_yxsj_sdtx", "sdtx"),
    GIS_YXSJ("gis_yxsj", "yxsj"),

    /*********************03年7月14日新增**************************/
    TIME_PARAMETER_OTHER("yxsj_sjcs_other", "其他"),  //时间参数--其他
//    VELOCITY_CHARACTERISTICS_OTHER("yxsj_sdtz_other", "其他"),  //速度特征--其他
    INSULATING_MEDIUM_OTHER("jyjz_other", "其他"),  //绝缘介质--其他
    GIS_DQSY_JYDZ("yxsj_dqsy_judzu", "绝缘电阻"),
    GIS_DQSY_JZSH("yxsj_dqsy_jzsh", "介质损耗"),
    GIS_DQSY_DRLANG("yxsj_dqsy_drlang", "电容量"),
    GIS_DQSY_DDHLDZ("yxsj_dqsy_ddhldz", "导电回路电阻"),
    GIS_DQSY_HZXQZLDZ("yxsj_dqsy_hzxqzldz", "合闸线圈直流电阻"),
    GIS_DQSY_FZXQZLDZ("yxsj_dqsy_fzxqzldz", "分闸线圈直流电阻");


    @Getter
    private String key;
    @Getter
    private String value;

    ParamEnum(String key, String value){
        this.key = key;
        this.value = value;
    }
}
